### Signal

# EDataServerUI4 CredentialsPrompter::get-dialog-parent-full

since: 3.42

#### Declaration

    GtkWindow*
    get_dialog_parent_full (
      ECredentialsPrompter* self,
      ESource* auth_source,
      gpointer user_data
    )

#### Description [src]

Emitted when a new dialog will be shown, to get the right parent window for it. If the result of the call is `NULL`, then it tries to get the window from the default GtkApplication.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.42

#### Parameters

`auth_source`

  Type: `ESource`

  An `ESource`, for which to show the credentials prompt.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWindow`

A `GtkWindow`, to be used as a dialog parent, or `NULL`.

The data is owned by the called function.
The return value can be `NULL`.